Bug 51970 - [regression] build failure: randr.c:183:30: error: unknown type name 'xRRProviderChangeNotifyEvent'
Summary: [regression] build failure: randr.c:183:30: error: unknown type name 'xRRPro...
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Server/Ext/RandR (show other bugs)
Version: git
Hardware: x86 (IA32) Linux (All)
: medium critical
Assignee: Dave Airlie
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: xserver-1.13
  Show dependency treegraph
 
Reported: 2012-07-11 01:31 UTC by David Ronis
Modified: 2013-02-10 21:28 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Ronis 2012-07-11 01:31:35 UTC
I'm trying to build tonight's git/master on a slackware i686 box.  This is a clean build.  Here's a more complete log:

make[1]: Entering directory `/home/ronis/Project/notar/X/xserver/randr'
/bin/sh ../libtool  --tag=CC   --mode=compile /usr/bin/gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I../include    -DHAVE_DIX_CONFIG_H -Wall -Wpointer-arith -Wmissing-declarations -Wformat=2 -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wbad-function-cast -Wold-style-definition -Wdeclaration-after-statement -Wunused -Wuninitialized -Wshadow -Wcast-qual -Wmissing-noreturn -Wmissing-format-attribute -Wredundant-decls -Werror=implicit -Werror=nonnull -Werror=init-self -Werror=main -Werror=missing-braces -Werror=sequence-point -Werror=return-type -Werror=trigraphs -Werror=array-bounds -Werror=write-strings -Werror=address -Werror=int-to-pointer-cast -Werror=pointer-to-int-cast -fno-strict-aliasing -fno-strict-aliasing -D_BSD_SOURCE -DHAS_FCHOWN -DHAS_STICKY_DIR_BIT -I/usr/include/pixman-1 -I/usr/include/X11/dri -I/usr/include/libdrm -I/usr/include/freetype2   -I../include -I../include -I../Xext -I../composite -I../damageext -I../xfixes -I../Xi -I../mi -I../miext/sync -I../miext/shadow  -I../miext/damage -I../render -I../randr -I../fb -I../dbe -fvisibility=hidden -march=native -msse2 -mfpmath=sse -O3 -ffast-math -funroll-loops -fomit-frame-pointer -floop-interchange -floop-strip-mine -floop-block -MT randr.lo -MD -MP -MF .deps/randr.Tpo -c -o randr.lo randr.c
libtool: compile:  /usr/bin/gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I../include -DHAVE_DIX_CONFIG_H -Wall -Wpointer-arith -Wmissing-declarations -Wformat=2 -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wbad-function-cast -Wold-style-definition -Wdeclaration-after-statement -Wunused -Wuninitialized -Wshadow -Wcast-qual -Wmissing-noreturn -Wmissing-format-attribute -Wredundant-decls -Werror=implicit -Werror=nonnull -Werror=init-self -Werror=main -Werror=missing-braces -Werror=sequence-point -Werror=return-type -Werror=trigraphs -Werror=array-bounds -Werror=write-strings -Werror=address -Werror=int-to-pointer-cast -Werror=pointer-to-int-cast -fno-strict-aliasing -fno-strict-aliasing -D_BSD_SOURCE -DHAS_FCHOWN -DHAS_STICKY_DIR_BIT -I/usr/include/pixman-1 -I/usr/include/X11/dri -I/usr/include/libdrm -I/usr/include/freetype2 -I../include -I../include -I../Xext -I../composite -I../damageext -I../xfixes -I../Xi -I../mi -I../miext/sync -I../miext/shadow -I../miext/damage -I../render -I../randr -I../fb -I../dbe -fvisibility=hidden -march=native -msse2 -mfpmath=sse -O3 -ffast-math -funroll-loops -fomit-frame-pointer -floop-interchange -floop-strip-mine -floop-block -MT randr.lo -MD -MP -MF .deps/randr.Tpo -c randr.c  -fPIC -DPIC -o .libs/randr.o
randr.c:183:30: error: unknown type name 'xRRProviderChangeNotifyEvent'
randr.c:184:26: error: unknown type name 'xRRProviderChangeNotifyEvent'
randr.c:195:32: error: unknown type name 'xRRProviderPropertyNotifyEvent'
randr.c:196:32: error: unknown type name 'xRRProviderPropertyNotifyEvent'
randr.c:213:30: error: unknown type name 'xRRResourceChangeNotifyEvent'
randr.c:214:30: error: unknown type name 'xRRResourceChangeNotifyEvent'
randr.c: In function 'SRRNotifyEvent':
randr.c:239:10: error: 'RRNotify_ProviderChange' undeclared (first use in this function)
randr.c:239:10: note: each undeclared identifier is reported only once for each function it appears in
randr.c:240:9: warning: implicit declaration of function 'SRRProviderChangeNotifyEvent' [-Wimplicit-function-declaration]
randr.c:240:9: warning: nested extern declaration of 'SRRProviderChangeNotifyEvent' [-Wnested-externs]
randr.c:240:39: error: 'xRRProviderChangeNotifyEvent' undeclared (first use in this function)
randr.c:240:69: error: expected expression before ')' token
randr.c:243:10: error: 'RRNotify_ProviderProperty' undeclared (first use in this function)
randr.c:244:9: warning: implicit declaration of function 'SRRProviderPropertyNotifyEvent' [-Wimplicit-function-declaration]
randr.c:244:9: warning: nested extern declaration of 'SRRProviderPropertyNotifyEvent' [-Wnested-externs]
randr.c:244:41: error: 'xRRProviderPropertyNotifyEvent' undeclared (first use in this function)
randr.c:244:73: error: expected expression before ')' token
randr.c:247:10: error: 'RRNotify_ResourceChange' undeclared (first use in this function)
randr.c:248:9: warning: implicit declaration of function 'SRRResourceChangeNotifyEvent' [-Wimplicit-function-declaration]
randr.c:248:9: warning: nested extern declaration of 'SRRResourceChangeNotifyEvent' [-Wnested-externs]
randr.c:248:39: error: 'xRRResourceChangeNotifyEvent' undeclared (first use in this function)
randr.c:248:69: error: expected expression before ')' token
make[1]: *** [randr.lo] Error 1
make[1]: Leaving directory `/home/ronis/Project/notar/X/xserver/randr'
make: *** [all-recursive] Error 1
Comment 1 Alan Coopersmith 2012-07-11 01:34:20 UTC
You need git master of randrproto as well.   The configure version test for that
hasn't been updated yet.
Comment 2 David Ronis 2012-07-12 20:07:51 UTC
that was it.  thanks.  Unfortunately the resulting X doesn't work.   It dies with:

Loading extension GLX
(II) [KMS] Kernel modesetting enabled.
/usr/bin/X: symbol lookup error: /usr/lib/xorg/modules/drivers/radeon_drv.so: undefined symbol: DRI2ScreenInit

I updated the dri2proto and rebuilt xf86-video-ati and xserver.  No help.   Moreover, grep doesn't find the function.
Comment 3 David Ronis 2012-07-12 23:06:58 UTC
The latest Xserver updates fix the problem with unresolved externals.
Comment 4 Darxus 2012-08-15 01:52:11 UTC
Configure is still not catching this dependency.
Comment 5 Alan Coopersmith 2013-02-10 21:28:09 UTC
commit 44eae69f1df2d00e0c9f1ea8d3c4fae06bcacfbc
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Jul 5 21:11:16 2012 +0100

    configure: bump randrproto min requirements to 1.4.0
    
    Needed to build latest randr stuff.
    
    Reviewed-by: Adam Jackson <ajax@redhat.com>
    Signed-off-by: Dave Airlie <airlied@redhat.com>


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.